class LearningObject < ActiveRecord::Base
  has_and_belongs_to_many :subjects
  has_and_belongs_to_many :collections
  has_many :complaints
  has_many :reviews, as: :reviewable

  has_many :views, as: :viewable
  has_many :downloads, as: :downloadable
  has_many :likes, as: :likeable
  has_many :shares, as: :shareable

  belongs_to :published, polymorphic: true
end
